Cash Advance

This API is used to process cash advance transactions in Credit+ Issuing system.

NOTE: The API, if sent with Card Number Alias (CNA), will fetch the corresponding associated device for further processing only if DEVICE _STATUS_CODE = NORMAL (0) OR (DEVICE_STATUS_CODE = UPGRADE (9) AND UPGRADE_STATUS = 1).

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
  • Details: This is the detailed description of the error code returned by Credit+ Issuing application
HTTP CodeError CodeReasonDetails
400997Transaction Type field is invalid.
500INVCHA002Channel Error-Invalid channel - 21.
500INVCHA001Invalid channel - 21.
400997Channel field must be numeric.
400997Channel field value must have size 2.
400905Invalid CVV2, DOB, Expiry date or Old Pin.
500920PIN change operation is not permitted.
500TRANSACTION_PROCESSING_TIMEOUTThe transaction processing has got timed out. Please try after some time.A reversal entry would be created for the transaction only if the processing is successful.
500TRANSACTION_PROCESSING_FAILUREThe transaction cannot be processed. Please try after some time.
400994Invalid Encryption-Algorithm header value.
400994Invalid Encryption Request Parameters.
400994Cryptography error.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 15

Card Acceptor ID, mandatory for Closed Loop Programs, no spaces allowed.

string
length ≤ 40

Merchant location, mandatory for Closed Loop Programs, no spaces allowed.

string
required
length ≤ 8

Card Acceptor terminal ID, mandatory for Closed Loop Programs, no spaces allowed.

string
required
length between 3 and 3

ISO Acquirer Country code of the transaction, not null.

string
required
length ≤ 11

Institution Code identifying the acquirer, not null.

string
required
length ≤ 12
^[0-9]{12}$

Billing amount in Numeric ISO amount format, must be positive, not null.

string
required
length between 3 and 3

Billing Currency Code, Numeric ISO Currency Code, not null.

string
required
length between 2 and 2

Network Code, e.g., '31' for Private Network API, must be configured for the institution, not null.

string
length ≤ 8
^[0-9]{8}$

Currency Conversion Rate for display purpose only, must be numeric and greater than 0 if present.

string
length ≤ 10

Device Plan Code.

string
required
length between 3 and 3

POS Entry Mode as per Pine Labs card format, refer DE-22 values, not null.

string
required
length between 2 and 2

POS Pin Capture Mode as per Pine Labs card format, refer DE-26 values, not null.

string
required
length ≤ 999

Point of service Data as per Pine Labs card format, refer DE-61 values, not null.

string

Hex Encoded EMV Data as per Pine Labs card format.

string
required
length between 10 and 24

Device number, Card pack ID, card number alias, not null, value should be as per formFactor selected.

string
length between 4 and 4

Expiry date of the device number in YYMM format, present if the selected formFactorType is CRD.

string
enum
required
length between 3 and 3

Indicates the data in formFactor, static value: CRD or CPI or CNA, not null.

Allowed:
string
required
length between 4 and 4

Merchant Category Code, not null.

string

Derived after decrypting sourceBlock.

string
enum
length between 1 and 1

Product type (Credit, Debit, Prepaid), static value: 'P','D','C'.

Allowed:
string
length ≤ 6

Program Code.

string
required
length between 12 and 12

Unique Authorization Reference Number (Reference Retrieval Number), not null, can be used to retrieve the original transaction data.

string
length ≤ 9
^D[0-9]{8}$

Transaction fee if applied, format D12345678 where first character is alphanumeric and must be D, remaining 8 characters are numeric.

string
required
length between 6 and 6

A number assigned by the originator of a transaction to uniquely identify a transaction throughout its life, not null.

string
required
length ≤ 12
^[0-9]{12}$

Transaction amount in Numeric ISO amount format, must be positive, not null.

string
required
length between 3 and 3

Transaction Currency Code, Numeric ISO Currency Code, not null.

string
required
length between 14 and 14
^[0-9]{14}$

Transaction local date and time in YYYYMMDDHHmmss format, not null, to be converted to YYYYMMDDHHmmss format while mapping to DE field of mapper.

string
required
length between 10 and 10
^[0-9]{10}$

Transaction time in GMT in MMDDhhmmss format, not null, value should be in given format and its values.

string
required
^[0-9]+$

Current UTC timestamp in milliseconds, not null, AES key expiration criteria depends on input UTC timestamp, applicable only for encrypted requests.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string
enum
required

API Consumer must share Encryption-Algorithm as a key (value: DES168) in HTTP header in order to encrypt the API requests.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json